# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.88.0"
name = "jammi-engine"
version = "0.1.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Query engine, catalog, and storage layer for Jammi AI"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/f-inverse/jammi-ai"

[features]
default = []
mysql = ["datafusion-table-providers/mysql-federation"]
postgres = ["datafusion-table-providers/postgres-federation"]

[lib]
name = "jammi_engine"
path = "src/lib.rs"

[[test]]
name = "it"
path = "tests/it/main.rs"

[dependencies.arrow]
version = "57"

[dependencies.arrow-array]
version = "57"

[dependencies.arrow-schema]
version = "57"

[dependencies.async-trait]
version = "0.1"

[dependencies.backon]
version = "1"

[dependencies.bytemuck]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.datafusion]
version = "52.3"

[dependencies.datafusion-federation]
version = "0.5"

[dependencies.datafusion-table-providers]
version = "0.10.1"
optional = true
default-features = false

[dependencies.directories]
version = "6"

[dependencies.futures]
version = "0.3"

[dependencies.moka]
version = "0.12"
features = ["future"]

[dependencies.parquet]
version = "57"

[dependencies.r2d2]
version = "0.8"

[dependencies.r2d2_sqlite]
version = "0.33"

[dependencies.rusqlite]
version = "0.39"
features = ["bundled"]

[dependencies.rusqlite_migration]
version = "2.4"

[dependencies.seahash]
version = "4"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.44"
features = ["full"]

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "json",
]

[dependencies.url]
version = "2"

[dependencies.usearch]
version = "2.24"

[dependencies.uuid]
version = "1"
features = ["v4"]

[dev-dependencies.tempfile]
version = "3"

[dev-dependencies.tokio]
version = "1.44"
features = ["full"]
